## textrender

textrender — Renders a text string to an image bitmap

## Synopsis

    struct              GstTextRender;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstTextRender

## Properties

      "font-desc"                gchar*                : Write
      "halignment"               GstTextRenderHAlign   : Read / Write
      "line-alignment"           GstTextRenderLineAlign  : Read / Write
      "valignment"               GstTextRenderVAlign   : Read / Write
      "xpad"                     gint                  : Read / Write
      "ypad"                     gint                  : Read / Write

## Description

## Synopsis

### Element Information

plugin | pango
author | David Schleef <ds@schleef.org>, GStreamer maintainers <gstreamer-devel@lists.sourceforge.net>
class | Filter/Editor/Video

### Element Pads

name | sink
direction | sink
presence | always
details | text/x-pango-markup
| text/plain

name | src
direction | source
presence | always
details | video/x-raw-yuv, format=(fourcc)AYUV, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw-rgb, bpp=(int)32, depth=(int)32, endianness=(int)4321, red_mask=(int)16711680, green_mask=(int)65280, blue_mask=(int)255, alpha_mask=(int)-16777216, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstTextRender

    struct GstTextRender;

## Property Details

### The `"font-desc"` property

      "font-desc"                gchar*                : Write

Pango font description of font to be used for rendering. See documentation of pango_font_description_from_string for syntax.

Default value: ""

### The `"halignment"` property

      "halignment"               GstTextRenderHAlign   : Read / Write

Horizontal alignment of the text.

Default value: center

### The `"line-alignment"` property

      "line-alignment"           GstTextRenderLineAlign  : Read / Write

Alignment of text lines relative to each other.

Default value: center

### The `"valignment"` property

      "valignment"               GstTextRenderVAlign   : Read / Write

Vertical alignment of the text.

Default value: baseline

### The `"xpad"` property

      "xpad"                     gint                  : Read / Write

Horizontal paddding when using left/right alignment.

Allowed values: >= 0

Default value: 25

### The `"ypad"` property

      "ypad"                     gint                  : Read / Write

Vertical padding when using top/bottom alignment.

Allowed values: >= 0

Default value: 25